Bug 517468 - [RFE] spacewalk-repo-sync needs --with-childs
[RFE] spacewalk-repo-sync needs --with-childs
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: spacewalk-rfe space22
  Show dependency treegraph
 
Reported: 2009-08-14 04:29 EDT by Sandro Mathys
Modified: 2014-07-17 04:40 EDT (History)
5 users (show)

See Also:
Fixed In Version: spacewalk-backend-2.2.31-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-17 04:40:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2009-08-14 04:29:08 EDT
Right now, one has to sync the base channel and each child channel one by one. It should be possible to specify --with-childs together with the base channel (i.e. either --channel=<base> --with childs or --with-childs=<base>) to sync them all together.

Since in future spacewalk releases, it should be possible to have >1 repo per channel, all repos of base+childs should be synced with this option.

As for '--label is mandatory', which obviously doesn't work well with this new feature, see:
https://bugzilla.redhat.com/show_bug.cgi?id=517467
Comment 1 Jan Hutař 2010-08-24 05:19:53 EDT
Hello, just tested on SWnightly and there is no --with-childs option or providing more --channel options do not work and accepts only last one.
Comment 2 Jan Hutař 2010-08-24 06:47:25 EDT
Oh, for issue in comment #1 reported separate bug, so please ignore it as it is different use-case.
Comment 4 Jan Pazdziora 2010-11-19 11:02:44 EST
Mass-moving to space13.
Comment 5 Miroslav Suchý 2011-04-11 03:31:16 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 6 Miroslav Suchý 2011-04-11 03:36:21 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 7 Jan Pazdziora 2011-07-20 07:48:45 EDT
Aligning under space16.
Comment 8 Dimitar Yordanov 2014-04-24 11:24:28 EDT
I would like to add to this RFE two more useful option.

[-l|--list] List the Custom channels available on the Satellite server with the associated repositories.

[-d|--dry-run] Do a test run. No sync takes place. Useful when the repositories are set in the Satellite database and the user want to check the channel->repository configuration beforehand.
Comment 9 Stephen Herr 2014-04-24 14:20:45 EDT
Accepting pull request https://github.com/spacewalkproject/spacewalk/pull/41 which adds the --list option mentioned in comment 8. I expect patches for the other options mentioned in this bug to be following shortly.

Committing to Spacewalk master:
5775e76647587f545ebc4d71ec8ec91ba1c98b00
Comment 10 Stephen Herr 2014-05-23 12:11:14 EDT
Accepting pull request https://github.com/spacewalkproject/spacewalk/pull/51 which adds the --dry-run option. Now we are just waiting for a --with-children option or similar.

Committing to Spacewalk master:
bbcafcfc77476e2189ffeff11202158a658b8262
83a9d85aa964940028166fcb65a22ef3c804fb2a
50f6cf185925e9bb6f4bd6471d08227e02fa3f6e
Comment 11 Stephen Herr 2014-05-30 11:12:13 EDT
Accepting pull request https://github.com/spacewalkproject/spacewalk/pull/86 which adds the --parent option. If you supply a channel label with --parent then the specified channel and all of its children will be synced. This resolves the request in comment 0.

Committing to Spacewalk master:
39b64b5e6235c1b4b8d674610e1f4f82b3fe90dc
Comment 12 Milan Zazrivec 2014-07-17 04:40:56 EDT
Spacewalk 2.2 has been released:

    https://fedorahosted.org/spacewalk/wiki/ReleaseNotes22

Note You need to log in before you can comment on or make changes to this bug.